# frozen_string_literal: true

class QuickstatsItemComponent < ViewComponent::Base
  def initialize(type:, title:, value:, unit: nil, meta: nil, icon_name: nil, icon_color_class: nil)
    @type = type
    @title = title
    @value = value
    @unit = unit
    @meta = meta
    @icon_name = icon_name
    @icon_color_class = icon_color_class
  end
end
